Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.annotations
Class ContainerInitializerAnnotationHandler

    java.lang.Object
      org.eclipse.jetty.annotations.ContainerInitializerAnnotationHandler

All Implemented Interfaces:
  AnnotationParser.DiscoverableAnnotationHandler

    public class ContainerInitializerAnnotationHandler

extends java.lang.Object
implements AnnotationParser.DiscoverableAnnotationHandler

ContainerInitializerAnnotationHandler Discovers classes that contain the specified annotation, either at class or method level. The specified annotation is derived from an @HandlesTypes on a ServletContainerInitializer class.

Constructor Summary
`ContainerInitializerAnnotationHandler(ContainerInitializer initializer, java.lang.Class annotation)`

Method Summary
`void` | `handleClass(java.lang.String className, int version, int access, java.lang.String signature, java.lang.String superName, java.lang.String[] interfaces, java.lang.String annotationName, java.util.List<AnnotationParser.Value> values)` Handle finding a class that is annotated with the annotation we were constructed with.
`void` | `handleField(java.lang.String className, java.lang.String fieldName, int access, java.lang.String fieldType, java.lang.String signature, java.lang.Object value, java.lang.String annotation, java.util.List<AnnotationParser.Value> values)`
`void` | `handleMethod(java.lang.String className, java.lang.String methodName, int access, java.lang.String params, java.lang.String signature, java.lang.String[] exceptions, java.lang.String annotation, java.util.List<AnnotationParser.Value> values)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContainerInitializerAnnotationHandler

    public ContainerInitializerAnnotationHandler(ContainerInitializer initializer,
                                                 java.lang.Class annotation)

Method Detail

### handleClass

    public void handleClass(java.lang.String className,
                            int version,
                            int access,
                            java.lang.String signature,
                            java.lang.String superName,
                            java.lang.String[] interfaces,
                            java.lang.String annotationName,
                            java.util.List<AnnotationParser.Value> values)

  Handle finding a class that is annotated with the annotation we were constructed with.

  Specified by:
    `handleClass` in interface `AnnotationParser.DiscoverableAnnotationHandler`
  See Also:
    `AnnotationParser.DiscoverableAnnotationHandler.handleClass(java.lang.String, int, int, java.lang.String, java.lang.String, java.lang.String[], java.lang.String, java.util.List)`

### handleField

    public void handleField(java.lang.String className,
                            java.lang.String fieldName,
                            int access,
                            java.lang.String fieldType,
                            java.lang.String signature,
                            java.lang.Object value,
                            java.lang.String annotation,
                            java.util.List<AnnotationParser.Value> values)

  Specified by:
    `handleField` in interface `AnnotationParser.DiscoverableAnnotationHandler`

### handleMethod

    public void handleMethod(java.lang.String className,
                             java.lang.String methodName,
                             int access,
                             java.lang.String params,
                             java.lang.String signature,
                             java.lang.String[] exceptions,
                             java.lang.String annotation,
                             java.util.List<AnnotationParser.Value> values)

  Specified by:
    `handleMethod` in interface `AnnotationParser.DiscoverableAnnotationHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.